
import babel from 'rollup-plugin-babel'
import resolve from 'rollup-plugin-node-resolve';
import postcss from 'rollup-plugin-postcss';
import stripPropTypes from 'rollup-plugin-strip-prop-types';

const config = {
    input: 'src/filterControl.js',
    external: ['react'],
    output: {
        format: 'umd',
        name: 'react-filter-control',
        globals: {
            react: "React"
        }
    },
    plugins: [
        babel({
            exclude: "node_modules/**"
        }),
        resolve({ }),
        postcss({
            plugins: []
        }),
        stripPropTypes({
            sourceMap: false
        })
    ]
}
export default config